# Update billing info

Update billing info for a client
- **membershipId** identifiies the membership the billing account is associated with
- **type** must be one of the following values
  - ***CARD***  Credit card type, must include **lastFour**, **expMonth**, **expYear**. and
**tokenId**. **vaultToken** is recommened when using the Cayan processor but is not reqruired.
  - ***CHECKING*** Checking account type, must include **accountNo** and **routingNo**
- **deductType** must be a value returned by **getEFTDeductTypes** endpoint

Endpoint: POST /slapi/clients/updatebillinginfo
Version: 0.0.1
Security: BasicAuthCredentials

## Security:

  - `BasicAuthCredentials` (unknown)
    http basic

## Request fields (application/json):

  - `clientNumber` (string)
    Example: 0000000001

  - `membershipId` (string)
    Example: 0000000999

  - `type` (string)
    Example: CARD

  - `deductType` (string)
    Example: Visa

  - `lastFour` (string)
    Example: 0026

  - `expMonth` (string)
    Example: 08

  - `expYear` (string)
    Example: 2029

  - `tokenId` (string)
    Example: 123456789

  - `vaultToken` (string)
    Example: 1234abcd6789

  - `accountNo` (string)
    Example: 1234567890

  - `routingNo` (string)
    Example: 123456789

  - `nameOnAccount` (string)
    Example: John Doe

  - `billingAddress` (string)
    Example: 1 Main St

  - `billingCity` (string)
    Example: Buffalo

  - `billingState` (string)
    Example: NY

  - `billingZip` (string)
    Example: 14220

## Response 200:

  - `200` (unknown)
    Update billing info for a client

## Response 200 fields (applicaiton/json):

  - `message` (string)

## Response 400:

  - `400` (unknown)
    Validation error

## Response 400 fields (applicatoin/json):

  - `error` (string)

  - `message` (string)

